Skip to content

Update Sponsor Level ​

PUT/sponsor-levels/:id

Update an existing sponsor level. Only the attributes you include are changed.

Attributes ​

AttributeTypeDescription
namestring
eventIdnumber
styleenumlarge, medium, small
ordernumber

All attributes are optional.

Request ​

js
import Confetti from 'confetti'

const confetti = new Confetti({ apiKey: 'your-key' })

const sponsorLevel = await confetti.sponsorLevels.update(882, {
  name: 'example',
})
sh
curl -X PUT "https://api.confetti.events/sponsor-levels/882" \
  -H "Content-Type: application/json" \
  -H "Authorization: apikey your-key" \
  -d '{
  "data": {
    "type": "sponsorLevel",
    "id": "882",
    "attributes": {
      "name": "example"
    }
  }
}'